﻿@model Domain.Ejemplo.Producto
@{
    ViewData["Title"] = "Evidencias";
    Layout = "~/Views/Shared/_Layout.cshtml";
    var Item = ViewBag.Id;
}

<link href="~/assets/vendors/general/dropzone/dist/dropzone.css" rel="stylesheet" />
<link href="~/assets/vendors/general/sweetalert2/dist/sweetalert2.css" rel="stylesheet" type="text/css" />


@if (TempData["Error"] != null)
{
    <div class="alert alert-danger fade show" role="alert">
        <div class="alert-icon"><i class="fa fa-times-circle"></i></div>
        <div class="alert-text"> <strong>¡Error!</strong> @TempData["Error"]</div>
        <div class="alert-close">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true"><i class="la la-close"></i></span>
            </button>
        </div>
    </div>
}
@if (TempData["Success"] != null)
{
    <div class="alert alert-success fade show" role="alert">
        <div class="alert-icon"><i class="fa fa-check-circle"></i></div>
        <div class="alert-text"><strong>¡Éxito!</strong> @TempData["Success"]</div>
        <div class="alert-close">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true"><i class="la la-close"></i></span>
            </button>
        </div>
    </div>
}

<!-- begin:: Content Body -->
<div class="k-content__body	k-grid__item k-grid__item--fluid" id="k_content_body">

    <!--begin::Portlet-->
    <div class="k-portlet">
        <div class="k-portlet__head">
            <div class="k-portlet__head-label">
                <h3 class="k-portlet__head-title">Carga de imagenes</h3>
            </div>
        </div>

        <!--begin::Form-->
        <div class="k-portlet__body">

            <p><span style="color:red;">Nota:</span> Para complementar la carga del producto adjunte las imagenes de muestra</p>
            <form id="DropZoneFiddle" class="k-form k-form--label-align-right dropzone dropzone-success dz-clickable" asp-action="ProductoIma" asp-controller="Productos" enctype="multipart/form-data">
                <div class="dropzone-msg dz-message needsclick">
                    <h3 class="dropzone-msg-title">Coloque los archivos aquí o haga clic para subir.</h3>
                    <span class="dropzone-msg-desc">Sólo se permiten archivos .jpeg, .jpg y .png para subir</span>
                </div>
                <div class="fallback">
                    <input name="files" type="file" multiple />
                </div>
                <input id='id' name='id' type='hidden' value="@Item" />
            </form>
        </div>
        <div class="k-portlet__foot">
            <div class="k-form__actions">
                <div class="row">
                    <div class="ml-auto">
                        <button type="submit" class="btn btn-brand" id="submit_"><i class="la la-check"></i>Guardar</button>
                        <a asp-controller="Expedientes" asp-action="BuscadorExpedientesFuncionario" class="btn btn-secondary"><i class="la la-arrow-left"></i><span class="k-hidden-mobile">Ir a Productos</span></a>
                    </div>
                </div>
            </div>
        </div>
        <!--end::Form-->
    </div>

    <!--end::Portlet-->
</div>
<!-- end:: Content Body -->
@section Scripts{
    <script src="~/assets/vendors/general/sweetalert2/dist/sweetalert2.min.js" type="text/javascript"></script>
    <script src="~/assets/vendors/custom/theme/framework/vendors/sweetalert2/init.js" type="text/javascript"></script>
    <script src="~/assets/demo/default/custom/components/extended/sweetalert2.js" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.5.1/dropzone.js" integrity="sha256-awEOL+kdrMJU/HUksRrTVHc6GA25FvDEIJ4KaEsFfG4=" crossorigin="anonymous"></script>
    <script>

        function myParamName() {
            return "files";
        }
        var id = $("#id").val();

        var theFile;
        Dropzone.options.DropZoneFiddle = {
            uploadMultiple: true,
            paramName: myParamName,
            clickable: true,
            maxFiles: 10,
            maxFilesize: 7, //in mb
            autoProcessQueue: false,
            parallelUploads: 100,
            addRemoveLinks: true,
            acceptedFiles: ".jpeg,.jpg,.png",
            dictRemoveFile: "Remover archivo",
            dictDefaultMessage: "Sube tus archivos aquí",
            dictMaxFilesExceeded: "Limite de archivos superado, este archivo no se subirá.",
            init: function () {
                var wrapperThis = this;
                var submitButton = document.querySelector("#submit_");
                submitButton.addEventListener("click", function (e) {
                    var numF = wrapperThis.files.length;

                    //console.log("submitted");
                    //console.log(e);
                    e.preventDefault();
                    e.stopPropagation();
                    e.stopImmediatePropagation();

                    if (numF > 0) {
                        wrapperThis.processQueue();
                    } else {
                        swal({
                            type: 'warning',
                            title: 'Advertencia',
                            text: "¡Parar poder procesar esta petición, debe adjuntar al menos un archivo!",
                            allowOutsideClick: false,
                            confirmButtonColor: '#0c7cd5',
                            allowEscapeKey: false
                        });
                    }

                    return false;
                });

                this.on("success", function (file, responseText) {
                    swal({
                        type: 'success',
                        title: 'Carga de Archivos Exitosa',
                        text: "¡Todos los documentos se han subido correctamente!",
                        allowOutsideClick: false,
                        confirmButtonColor: '#0c7cd5',
                        allowEscapeKey: false
                    }).then(function () {
                        window.location.href = "/Productos";
                    });
                });
                this.on("addedfile", function (file) {
                    //alert('Added');
                    console.log('added file');
                    console.log(file);
                });
                this.on('sendingmultiple', function (data, xhr, formData) {
                    console.log('sending multiple');
                    console.log(data);

                });
            }
        };

    </script>
}